Subject: [Ppm] draft-patton-cfrg-vdaf

From: Richard Barnes <[email-masked]>
Date: Mon, 25 Oct 2021 20:13:41 -0400

Hey all,

Chris Patten, Phillipp Schoppmann, and I just posted a draft on Verifiable
Distributed Aggregation Functions, which are the cryptographic primitives
that underpin the approach in EKR's PPM draft.  This is the companion CFRG
draft that EKR mentioned.

https://datatracker.ietf.org/doc/draft-patton-cfrg-vdaf/

As you can tell from the draft name, the intent is to work on this in CFRG,
with the idea of creating a standard interface to VDAFs.  Then if we design
PPM to that interface, cryptographers will be able to design new primitives
that can be easily leveraged by PPM implementations.  In draft-00, we've
laid out an interface that covers both Prio and Heavy Hitters.

Looking forward to feedback,
--Richard